JBoss API: Class ExternalContext.SerializableInitialContext

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.naming
Class ExternalContext.SerializableInitialContext

    java.lang.Object
      |
      +--javax.naming.RefAddr
            |
            +--org.jboss.naming.ExternalContext.SerializableInitialContext

All Implemented Interfaces:
  javax.naming.spi.ObjectFactory, javax.naming.Referenceable, java.io.Serializable

Enclosing class:
  ExternalContext

public static class ExternalContext.SerializableInitialContext
extends javax.naming.RefAddr
implements javax.naming.Referenceable, java.io.Serializable, javax.naming.spi.ObjectFactory

The external InitialContext information class. It acts as the RefAddr and ObjectFactory for the external IntialContext and can be marshalled to a remote client.

See Also:
  Serialized Form

Fields inherited from class javax.naming.RefAddr
`addrType`

Constructor Summary
`ExternalContext.SerializableInitialContext()`
`ExternalContext.SerializableInitialContext(java.lang.String addrType)`

Method Summary
`boolean` | `getCacheContext()`
`java.lang.Object` | `getContent()`
`java.lang.String` | `getInitialContext()`
`java.lang.String` | `getJndiName()`
`java.lang.Object` | `getObjectInstance(java.lang.Object obj, javax.naming.Name name, javax.naming.Context nameCtx, java.util.Hashtable environment)`
`javax.naming.Reference` | `getReference()`
`void` | `loadClass(java.lang.String className)`
`void` | `loadProperties(java.lang.String contextPropsURL)`
`void` | `setCacheContext(boolean cacheContext)`
`void` | `setJndiName(java.lang.String jndiName)`

Methods inherited from class javax.naming.RefAddr
`equals, getType, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ExternalContext.SerializableInitialContext

    public ExternalContext.SerializableInitialContext()

### ExternalContext.SerializableInitialContext

    public ExternalContext.SerializableInitialContext(java.lang.String addrType)

Method Detail

### getJndiName

    public java.lang.String getJndiName()

### setJndiName

    public void setJndiName(java.lang.String jndiName)

### getCacheContext

    public boolean getCacheContext()

### setCacheContext

    public void setCacheContext(boolean cacheContext)

### getInitialContext

    public java.lang.String getInitialContext()

### loadClass

    public void loadClass(java.lang.String className)
                   throws java.lang.ClassNotFoundException

### loadProperties

    public void loadProperties(java.lang.String contextPropsURL)
                        throws java.io.IOException

### getObjectInstance

    public java.lang.Object getObjectInstance(java.lang.Object obj,
                                              javax.naming.Name name,
                                              javax.naming.Context nameCtx,
                                              java.util.Hashtable environment)
                                       throws java.lang.Exception

  Specified by:
    `getObjectInstance` in interface `javax.naming.spi.ObjectFactory`

### getReference

    public javax.naming.Reference getReference()
                                        throws javax.naming.NamingException

  Specified by:
    `getReference` in interface `javax.naming.Referenceable`

### getContent

    public java.lang.Object getContent()

  Overrides:
    `getContent` in class `javax.naming.RefAddr`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.